Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Class PicoBuilderTestCase

    java.lang.Object
      org.picocontainer.PicoBuilderTestCase

    public class PicoBuilderTestCase

extends Object

Nested Class Summary
`static class` | `PicoBuilderTestCase.CustomComponentFactory`
`static class` | `PicoBuilderTestCase.CustomParentcontainer`
`static class` | `PicoBuilderTestCase.SomeContainerDependency`
`static class` | `PicoBuilderTestCase.TestPicoContainer`

Constructor Summary
`PicoBuilderTestCase()`

Method Summary
`void` | `setUp()`
`void` | `testBasic()`
`void` | `testBogusParentContainerBehavesAsIfNotSet()`
`void` | `testCustomParentContainer()`
`void` | `testParentAndChildContainersMutallyVisible()`
`void` | `testParentAndChildContainersVetoedWhenParentNotMutable()`
`void` | `testWithAnnotatedFieldDI()`
`void` | `testWithAnnotatedMethodDI()`
`void` | `testWithBogusCustomMonitorByClass()`
`void` | `testWithCachingImplementationHidingAndSetterDI()`
`void` | `testWithCafsListChainThingy()`
`void` | `testWithConsoleMonitor()`
`void` | `testWithConsoleMonitorAndLifecycleUseTheSameUltimateMonitor()`
`void` | `testWithCtorDI()`
`void` | `testWithCustomComponentFactory()`
`void` | `testWithCustomMonitorByClass()`
`void` | `testWithCustomPicoContainer()`
`void` | `testWithImplementationHiding()`
`void` | `testWithImplementationHidingAndSetterDI()`
`void` | `testWithImplementationHidingInstance()`
`void` | `testWithLocking()`
`void` | `testWithPropertyApplier()`
`void` | `testWithReflectionLifecycle()`
`void` | `testWithSetterDI()`
`void` | `testWithStartableLifecycle()`
`void` | `testWithSynchronizing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PicoBuilderTestCase

    public PicoBuilderTestCase()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Throws:
    `Exception`

### testBasic

    public void testBasic()

### testWithStartableLifecycle

    public void testWithStartableLifecycle()

### testWithReflectionLifecycle

    public void testWithReflectionLifecycle()

### testWithConsoleMonitor

    public void testWithConsoleMonitor()

### testWithConsoleMonitorAndLifecycleUseTheSameUltimateMonitor

    public void testWithConsoleMonitorAndLifecycleUseTheSameUltimateMonitor()

### testWithCustomMonitorByClass

    public void testWithCustomMonitorByClass()

### testWithBogusCustomMonitorByClass

    public void testWithBogusCustomMonitorByClass()

### testWithImplementationHiding

    public void testWithImplementationHiding()

### testWithImplementationHidingInstance

    public void testWithImplementationHidingInstance()

### testWithCafsListChainThingy

    public void testWithCafsListChainThingy()

### testCustomParentContainer

    public void testCustomParentContainer()

### testBogusParentContainerBehavesAsIfNotSet

    public void testBogusParentContainerBehavesAsIfNotSet()

### testParentAndChildContainersMutallyVisible

    public void testParentAndChildContainersMutallyVisible()

### testParentAndChildContainersVetoedWhenParentNotMutable

    public void testParentAndChildContainersVetoedWhenParentNotMutable()

### testWithSetterDI

    public void testWithSetterDI()

### testWithAnnotatedMethodDI

    public void testWithAnnotatedMethodDI()

### testWithAnnotatedFieldDI

    public void testWithAnnotatedFieldDI()

### testWithCtorDI

    public void testWithCtorDI()

### testWithImplementationHidingAndSetterDI

    public void testWithImplementationHidingAndSetterDI()

### testWithCachingImplementationHidingAndSetterDI

    public void testWithCachingImplementationHidingAndSetterDI()

### testWithSynchronizing

    public void testWithSynchronizing()

### testWithLocking

    public void testWithLocking()

### testWithPropertyApplier

    public void testWithPropertyApplier()

### testWithCustomComponentFactory

    public void testWithCustomComponentFactory()

### testWithCustomPicoContainer

    public void testWithCustomPicoContainer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.